$(function () {

	$.ajax({
		url: './data.xml',
		dataType: 'xml',

		success: function (xml) {
			var allDesign = $(xml);
			var txt_site = allDesign.find('site').text();
			$('.site h1').text(txt_site);

			allDesign.find('category').each(function () {
				var category = $(this);
				var txt_title = category.find('title').text();
				// alert(txt_title);

				// jQueryオブジェクト生成
				var divDesignSet = $('<div />');
				divDesignSet.addClass('designSet');

				var divTitle = $('<div />');
				divTitle.addClass('title');
				divTitle.text(txt_title);

				//HTML作成
				//titleが設定されてないときはスキップ
				if (txt_title != "") {
					divDesignSet.append(divTitle);
				}

				$('.designSetAll').append(divDesignSet);


				category.find('design').each(function () {
					var design = $(this);

					var txt_file = design.find('imgfile').text();
					var txt_file = "./img/" + txt_file;
					var txt_exp = design.find('exp').text();
					// alert(txt_exp);

					// jQueryオブジェクト生成
					var divBox = $('<div />');
					divBox.addClass('box')

					var aDesign = $('<a />');
					aDesign.attr('href', 'pre.html?data='+ txt_file);
					aDesign.attr('target', '_blank');

					var imgDesign = $('<img />');
					imgDesign.attr('src', txt_file);

					var divImg = $('<div />');
					divImg.addClass('thumb-image');

					var divTtl = $('<div />');
					divTtl.text(txt_exp);
					divTtl.addClass('thumb-title');

					//HTML作成：designSetを作るまで
					divImg.append(imgDesign);
					aDesign.append(divImg);
					aDesign.append(divTtl);
					divBox.append(aDesign);

					//生成済みのdesignSetに追加しないようにlastを指定
					$('.designSet:last').append(divBox);
				});


			});
		}


	});
});
